# $Revision: 1.21 $, $Date: 2008/07/27 22:42:57 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	Fractal-DLA
Summary:	Math::Fractal::DLA - Diffusion Limited Aggregation (DLA) generator
Summary(pl.UTF-8):	Math::Fractal::DLA - generator fraktali DLA
Name:		perl-Math-Fractal-DLA
Version:	0.21
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Math/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	0ed161b97d7ad3834525b1ade02425cd
URL:		http://search.cpan.org/dist/Math-Fractal-DLA/
BuildRequires:	perl-GD >= 1.27
%if %{with tests}
BuildRequires:	perl-Log-LogLite >= 0.8
BuildRequires:	perl-Test-Simple >= 0.54
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Math::Fractal::DLA is a Diffusion Limited Aggregation (DLA) fractal
generator.

%description -l pl.UTF-8
Moduł Math::Fractal::DLA jest generatorem fraktali DLA (Diffusion
Limited Aggregation).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install eg/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Math/Fractal/DLA.pm
%{perl_vendorlib}/Math/Fractal/DLA
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.pl
%{_examplesdir}/%{name}-%{version}/*.mc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-Fractal-DLA.spec,v $
Revision 1.21  2008/07/27 22:42:57  arekm
- release 2

Revision 1.20  2008-02-25 21:46:35  qboosh
- BR: perl-Log-LogLite

Revision 1.19  2007-12-24 13:55:47  qboosh
- generic URL

Revision 1.18  2007-12-24 01:26:18  zbyniu
- up to 0.21

Revision 1.17  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.16  2007/02/12 00:49:39  baggins
- converted to UTF-8

Revision 1.15  2004/11/03 22:30:34  paladine
- formatting

Revision 1.14  2004/06/05 18:10:44  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.13  2004/05/06 18:43:17  ankry
- fixed perl-devel BR

Revision 1.12  2004/04/23 07:50:17  ankry
- license fixes, unification

Revision 1.11  2004/04/20 23:59:37  ankry
- ported to new bconds

Revision 1.10  2004/04/14 21:16:31  ankry
- cosmetics, unification

Revision 1.9  2003/10/25 18:27:36  qboosh
- vendorlib/Math/Fractal dir moved to perl-base; release 3

Revision 1.8  2003/08/18 08:08:59  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:00:49  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:47  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 20:21:14  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:40:17  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:36:39  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/12/07 22:59:14  qboosh
- new
